Skip to content
GET/{organizationId}/{mandateId}/crm/mailings/{mailingId}/estimatedSendingCosts

Get mailing estimated sending costs

Returns the estimated sending costs of a specific mailing

Required permissions:

  • mandate.read

  • mailing.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
mailingIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/mailings/{mailingId}/estimatedSendingCosts
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings/{mailingId}/estimatedSendingCosts' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

totalnumberrequired

minimum: 0

singleLetterPricenumberrequired

minimum: 0

receivingCountnumberrequired

minimum: 0

documentPagesnumberrequired

minimum: 0

hasEnoughCreditbooleanrequired
organizationCreditnumberrequired

minimum: 0

Response

200
{
  "total": 0,
  "singleLetterPrice": 0,
  "receivingCount": 0,
  "documentPages": 0,
  "hasEnoughCredit": true,
  "organizationCredit": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}